﻿@model eCommerce.UI.ViewModels.OrderDetailViewModel
@using eCommerce.Services.Utils

<div orderdetailid="@Model.OrderDetailId" class="row no-margin cart-item" @(Model.MaxDiscount.HasValue ? "data-max-discount=" + Math.Floor(Model.MaxDiscount.Value) : string.Empty)>
    <div class="col-xs-2 col-sm-2 no-margin">
        <a href="/@Utility.CataloguePrefix/@Model.CategorySeoUrl/@Model.SeoUrl" class="thumb-holder" style="width:80px;">
            <img class="lazy" alt="" src="@Model.ProductImageResized" />
        </a>
    </div>
    <div class="col-xs-2 col-sm-3 ">
        <div class="title">
            <a href="/@Utility.CataloguePrefix/@Model.CategorySeoUrl/@Model.SeoUrl">@Model.Title</a><br/>
            Talle: @Model.SizeDescription <br />Color: @Model.ColorDescription
        </div>
        <div class="brand">@Model.ProductBrand</div>
    </div>
    <div class="hidden-xs col-sm-2 no-margin ">
        <div class="unit-price-prev"></div>
        <div id="preciounitario-@Model.OrderDetailId" class="price cart-price unit-price-current">$@((Model.Price).ToString("N"))</div>
    </div>
    <div class="col-xs-4 col-sm-2 no-margin">
        <div class="quantity">
            <div class="le-quantity">
                <a class="minus" href="#reduce"></a>
                <input type="text" onkeydown="handleOnKeyDown(@Model.OrderDetailId)" name="cantidadvalue-@Model.OrderDetailId" id="cantidad-@Model.OrderDetailId" value="@Model.Quantity" maxlength="3" title="Cantidad" onchange="handleOnChange('@Model.OrderDetailId'); " />
                <a class="plus" href="#add"></a>
            </div>
        </div>
    </div>
    <div class="col-xs-4 col-sm-3 no-margin">
        <div class="price">
            <div class="price-prev"></div>
            <div class="price-current subtotal" id="subtotal-@Model.OrderDetailId">$@((Model.Price * Model.Quantity).ToString("N"))</div>
            <div class="discount-applied">
                <span class="label label-success discount-applied-text"></span>
            </div>
        </div>
        <a class="close-btn" href="#" onclick="removeFromCart(event,@Model.OrderDetailId)" title="Remover de la lista"></a>
        <input type="hidden" name="item-discount-@Model.OrderDetailId" class="item-discount" value="" />
    </div>
    @if (Model.MaxDiscount.HasValue)
    {
        <div class="col-xs-12 col-sm-12 no-margin">
            <div class="max-discount hide">
                <span class="label label-off-text"></span>
            </div>
        </div>
    }
</div>

@*Este producto tiene un descuento máximo aplicable del @(Math.Floor(Model.MaxDiscount.Value))%*@
